diff --git a/books/bookvol7.1.pamphlet b/books/bookvol7.1.pamphlet
index efb5a02..b44d50a 100644
--- a/books/bookvol7.1.pamphlet
+++ b/books/bookvol7.1.pamphlet
@@ -188484,6 +188484,7 @@ PAGELIST= ${PHT} algebra aspex basic  bmcat cphelp expose gloss  \
 HYPER=${MNT}/${SYS}/doc
 PAGEFILE=${HYPER}/bookvol7.1.pamphlet
 SMAN=${MNT}/${SYS}/bin/sman
+HTADD=${MNT}/${SYS}/bin/htadd
 
 all: dir ${PAGEFILE} ${HYPER}/ht.db
 	@echo 3 finished ${BOOK}
@@ -188515,7 +188516,7 @@ ${HYPER}/ht.db: ${BOOK}
 	@echo 2 making ${HYPER} from ${BOOK}
 	@ (cd ${HYPER} ; \
            rm -f ht.db ; \
-	   htadd ${PAGEFILE} )
+	   ${HTADD} ${PAGEFILE} )
 	@ cp -pr ${IN}/bitmaps ${HYPER}
 	@ cp -pr ${IN}/viewports ${HYPER}
 	@ (cd ${HYPER}/viewports ; \
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 3452f13..52ae287 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -807,6 +807,8 @@ bookvol10.3 add domains<br/>
 download.html add vector linux<br/>
 <a href="patches/20081215.02.tpd.patch">20081215.02.tpd.patch</a>
 bookvol10.3 add domains<br/>
+<a href="patches/20081216.01.tpd.patch">20081216.01.tpd.patch</a>
+bookvol7.1 give complete path to htadd<br/>
 
  </body>
 </html>
\ No newline at end of file
